> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balances



## OpenAPI

````yaml openapi/api-gateway.json GET /balances
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /balances:
    get:
      tags:
        - api-gateway
      operationId: get_balances
      parameters:
        - name: account_id
          in: query
          description: >-
            Optional account ID. If omitted, default (primary) user account is
            used.
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: List of balances
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBalancesResponse'
      security:
        - session_token: []
components:
  schemas:
    GetBalancesResponse:
      type: object
      required:
        - balances
      properties:
        balances:
          type: array
          items:
            $ref: '#/components/schemas/Balance'
        usd_borrow:
          type:
            - string
            - 'null'
    Balance:
      type: object
      required:
        - account_id
        - symbol
        - amount
      properties:
        account_id:
          type: string
        amount:
          type: string
        symbol:
          type: string
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````